// Demonstrate InetAddress.

import java.net.*;

class InetAddressDemo {

  public static void show(String arg) {
     try {
	 InetAddress address = InetAddress.getByName(arg);
	 System.out.println("Host name: " + address.getHostName());
	 System.out.println("Address: " + address.getHostAddress());
     }
     catch (UnknownHostException exc) {
	 System.out.println(exc);
     }
     System.out.println();
  }

  public static void main(String[] args) {

      show("www.mcgraw-hill.com");
      show("www.johnloomis.org");
      show("www.betelegeuse.org");
      show("www.udayton.edu");
  }
}
