// Demonstrate URL.

import java.net.*;

class URLDemo {
	public static void main(String[] args) {
		String str1 = "http://www.mhhe.com:80/index.html";
		String str = "http://www.udayton.edu:80/index.html";
		if (args.length>0) str = args[0];
		try {
			URL url = new URL(str);

			System.out.println("Protocol: " + url.getProtocol());
			System.out.println("Port: " + url.getPort());

			System.out.println("Host: " + url.getHost());
			System.out.println("File: " + url.getFile());
		} catch (MalformedURLException exc) {
			System.out.println("Invalid URL: " + exc);
		}
	}
}
